Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bugzilla DB migration completed. Please report issues to Infra team via email via infra@gentoo.org or IRC
Bug 308597 - perl upgrade should mark dependents for rebuild
Summary: perl upgrade should mark dependents for rebuild
Status: RESOLVED DUPLICATE of bug 192319
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Core system (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: Gentoo Perl team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-03-09 07:25 UTC by Roy Marples
Modified: 2010-08-18 06:28 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Roy Marples 2010-03-09 07:25:53 UTC
checking for XML::Parser... configure: error: XML::Parser perl module is required for intltool

!!! Please attach the following file when seeking support:
!!! /var/tmp/portage/dev-util/intltool-0.41.0/work/intltool-0.41.0/config.log
 * ERROR: dev-util/intltool-0.41.0 failed:
 *   econf failed
Comment 1 Aaron W. Swenson gentoo-dev 2010-03-09 08:03:09 UTC
(In reply to comment #0)
> checking for XML::Parser... configure: error: XML::Parser perl module is
> required for intltool
> 
> !!! Please attach the following file when seeking support:
> !!! /var/tmp/portage/dev-util/intltool-0.41.0/work/intltool-0.41.0/config.log
>  * ERROR: dev-util/intltool-0.41.0 failed:
>  *   econf failed
> 
You may have update Perl recently from 5.8.8 to 5.10. Try running 'perl-cleaner --all' and see if your issue disappears.
Comment 2 Aaron W. Swenson gentoo-dev 2010-03-09 08:03:53 UTC
(In reply to comment #1)
> (In reply to comment #0)
> > checking for XML::Parser... configure: error: XML::Parser perl module is
> > required for intltool
> > 
> > !!! Please attach the following file when seeking support:
> > !!! /var/tmp/portage/dev-util/intltool-0.41.0/work/intltool-0.41.0/config.log
> >  * ERROR: dev-util/intltool-0.41.0 failed:
> >  *   econf failed
> > 
> You may have update Perl recently from 5.8.8 to 5.10. Try running 'perl-cleaner
> --all' and see if your issue disappears.
> 

P.S. XML::Parser is installed already on a default system.
Comment 3 Roy Marples 2010-03-09 08:45:08 UTC
I shouldn't have to do this, portage should be able to handle it for me.
Comment 4 Torsten Veller (RETIRED) gentoo-dev 2010-03-09 15:38:34 UTC
(In reply to comment #3)
> I shouldn't have to do this, portage should be able to handle it for me.

How would you do it? Already have an idea?
Comment 5 Roy Marples 2010-03-09 16:00:36 UTC
Well, pkgsrc (NetBSD package manager) handles it nicely by marking dependants to rebuild. This works because the list and order of packages is evaluated after each package merge. I know that portage doesn't work like that, but maybe it could re-calculate things when a package marked a such is built?

The downside of the pkgsrc approach is that it's applied across the board, so dependants get rebuild even when they don't technically need to. On the other hand, this saves having news items saying "ABI changed but .so version did not so you need to rebuild mesa, xorg and your drivers". I, as a user, have to read, understand and action that (quite a lot of late it seems). With pkgsrc I don't have to - burns CPU, but saves me time thus happier.
Comment 6 Doktor Notor 2010-03-11 13:10:27 UTC
Duplicate of Bug 192319. And good luck with that :P
Comment 7 Roy Marples 2010-03-11 14:44:29 UTC
I would argue that a basic requirement of a package manager is to handle upgrades like this cleanly and easily. The answer to this requirement should not be "good luck with that".
Comment 8 Doktor Notor 2010-03-11 16:42:46 UTC
Well, I for one absolutely don't want the described BSD behaviour (useless recompiles forced on me for no good reason). Anyway, this bug is a duplicate, so ... the discussion should move to the relevant bug. And good luck with that means just that - good luck will be needed as with anything that's in hands of PMS folks :P
Comment 9 Torsten Veller (RETIRED) gentoo-dev 2010-08-18 06:28:21 UTC

*** This bug has been marked as a duplicate of bug 192319 ***